package items;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/**  ------------- Nihilne ------------
    *** @author Mitch Weaver - 2016 ***
      ~~~~ All Rights Reserved ~~~~ */

public final class ItemIconTextures {

	public static void getTextures(final BufferedImage image){
		final int width = 70, height = 60;
		 Textures.itemIconSheet[0] = Utils.grabSprite(image, 3, 1, width, height); /*** picked_grass ***/
		 Textures.itemIconSheet[1] = Utils.grabSprite(image, 4, 1, width, height); /*** picked_flowers ***/
		 Textures.itemIconSheet[2] = Utils.grabSprite(image, 2, 1, width, height); /*** crude axe ***/
		 Textures.itemIconSheet[3] = Utils.grabSprite(image, 1, 1, width, height); /*** log ***/
		 Textures.itemIconSheet[4] = Utils.grabSprite(image, 5, 1, width, height); /*** crude pick axe ***/
		 Textures.itemIconSheet[5] = Utils.grabSprite(image, 6, 1, width, height); /*** rock ***/
		 Textures.itemIconSheet[6] = Utils.grabSprite(image, 7, 1, width, height); /**** sticks ****/
		 Textures.itemIconSheet[8] = Utils.grabSprite(image, 8, 1, width, height); /**** ASHES ****/
		 Textures.itemIconSheet[9] = Utils.grabSprite(image, 1, 2, width, height); /**** torch ****/
		Textures.itemIconSheet[10] = Utils.grabSprite(image, 2, 2, width, height); /**** RABBIT CARCASS ****/
		Textures.itemIconSheet[11] = Utils.grabSprite(image, 3, 2, width, height); /**** RABBIT FOOT *****/
		Textures.itemIconSheet[12] = Utils.grabSprite(image, 4, 2, width, height); /**** ROT *****/
		Textures.itemIconSheet[13] = Utils.grabSprite(image, 5, 2, width, height); /**** BONES ****/
		Textures.itemIconSheet[14] = Utils.grabSprite(image, 6, 2, width, height); /**** goblin spear ***/
	}
}
